#include <bits/stdc++.h>
using namespace std;
string a,b;
int br,g;
void jednoa(int k){
    for(int i=0;i<=a.size()-1;i++){
     if(a[i]=='a'){
        br++;
        a[i]='*';
     }
}

}
int main(){
cin>>a>>b;
if(b=="a")jednoa(a.size());
cout<<br<<endl;
cout<<a<<endl;


return 0;
}